﻿using HeuristicLab.Common;
using HeuristicLab.Core;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;

namespace HeuristicLab.DataPreprocessing
{
  [Item("DataCompletenessChart", "Represents a datacompleteness chart.")]
  public class DataCompletenessChartContent : Item, IViewChartShortcut
  {
    private readonly DataGridLogic dataGridLogic;
    private readonly SearchLogic searchLogic;

    public DataCompletenessChartContent(DataGridLogic dataGridLogic, SearchLogic searchLogic)
    {
      this.dataGridLogic = dataGridLogic;
      this.searchLogic = searchLogic;
    }

    public DataCompletenessChartContent(DataCompletenessChartContent content, Cloner cloner)
      : base(content, cloner)
    {
    }

    public IDataGridLogic DataGridLogic
    {
      get
      {
        return dataGridLogic;
      }
    }

    public ISearchLogic SearchLogic
    {
      get
      {
        return searchLogic;
      }
    }

    public static new Image StaticItemImage
    {
      get { return HeuristicLab.Common.Resources.VSImageLibrary.EditBrightnessContrast; }
    }

    public override IDeepCloneable Clone(Cloner cloner)
    {
      return new DataCompletenessChartContent(this, cloner);
    }
  }
}
